# coding: utf-8

# flake8: noqa
"""
    Weather Source Nowcast API

    Nowcast weather data for latitude/longitude points, ZIP/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source Nowcast API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/).   # noqa: E501

    OpenAPI spec version: 2.0.0
    Contact: support@weathersource.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

from __future__ import absolute_import

# import models into model package
from swagger_client.models.bounding_points import BoundingPoints
from swagger_client.models.bounding_points_inner import BoundingPointsInner
from swagger_client.models.cld_cvr import CldCvr
from swagger_client.models.country_code import CountryCode
from swagger_client.models.country_name import CountryName
from swagger_client.models.dew_pt import DewPt
from swagger_client.models.distance import Distance
from swagger_client.models.distance_pop import DistancePop
from swagger_client.models.dma_id import DmaId
from swagger_client.models.dma_name import DmaName
from swagger_client.models.dma_obj import DmaObj
from swagger_client.models.error_obj import ErrorObj
from swagger_client.models.feels_like import FeelsLike
from swagger_client.models.field_list_obj import FieldListObj
from swagger_client.models.fields import Fields
from swagger_client.models.grid import Grid
from swagger_client.models.heat_index import HeatIndex
from swagger_client.models.latitude import Latitude
from swagger_client.models.longitude import Longitude
from swagger_client.models.msl_pres import MslPres
from swagger_client.models.nowcast_arr import NowcastArr
from swagger_client.models.nowcast_dma_obj import NowcastDmaObj
from swagger_client.models.nowcast_obj import NowcastObj
from swagger_client.models.nowcast_onpoint_obj import NowcastOnpointObj
from swagger_client.models.nowcast_point_obj import NowcastPointObj
from swagger_client.models.nowcast_postcode_obj import NowcastPostcodeObj
from swagger_client.models.onpoint_id import OnpointId
from swagger_client.models.onpoint_obj import OnpointObj
from swagger_client.models.point_obj import PointObj
from swagger_client.models.population import Population
from swagger_client.models.postcode import Postcode
from swagger_client.models.postcode_obj import PostcodeObj
from swagger_client.models.precip_flag import PrecipFlag
from swagger_client.models.precip_intensity import PrecipIntensity
from swagger_client.models.pres_tend import PresTend
from swagger_client.models.rad_solar import RadSolar
from swagger_client.models.rel_hum import RelHum
from swagger_client.models.sample_points import SamplePoints
from swagger_client.models.sample_points_inner import SamplePointsInner
from swagger_client.models.sfc_pres import SfcPres
from swagger_client.models.snowfall_flag import SnowfallFlag
from swagger_client.models.snowfall_intensity import SnowfallIntensity
from swagger_client.models.spc_hum import SpcHum
from swagger_client.models.subdiv_code import SubdivCode
from swagger_client.models.subdiv_name import SubdivName
from swagger_client.models.temp import Temp
from swagger_client.models.timestamp import Timestamp
from swagger_client.models.timezone import Timezone
from swagger_client.models.wet_bulb import WetBulb
from swagger_client.models.wind_chill import WindChill
from swagger_client.models.wind_dir import WindDir
from swagger_client.models.wind_dir100m import WindDir100m
from swagger_client.models.wind_dir80m import WindDir80m
from swagger_client.models.wind_spd import WindSpd
from swagger_client.models.wind_spd100m import WindSpd100m
from swagger_client.models.wind_spd80m import WindSpd80m
