# coding: utf-8

"""
    Weather Source Nowcast API

    Nowcast weather data for latitude/longitude points, ZIP/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source Nowcast API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/).   # noqa: E501

    OpenAPI spec version: 2.0.0
    Contact: support@weathersource.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six


class NowcastObj(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'timestamp': 'Timestamp',
        'cld_cvr': 'CldCvr',
        'dew_pt': 'DewPt',
        'feels_like': 'FeelsLike',
        'heat_index': 'HeatIndex',
        'msl_pres': 'MslPres',
        'precip_flag': 'PrecipFlag',
        'precip_intensity': 'PrecipIntensity',
        'pres_tend': 'PresTend',
        'rad_solar': 'RadSolar',
        'rel_hum': 'RelHum',
        'sfc_pres': 'SfcPres',
        'snowfall_flag': 'SnowfallFlag',
        'snowfall_intensity': 'SnowfallIntensity',
        'spc_hum': 'SpcHum',
        'temp': 'Temp',
        'wet_bulb': 'WetBulb',
        'wind_chill': 'WindChill',
        'wind_dir': 'WindDir',
        'wind_dir80m': 'WindDir80m',
        'wind_dir100m': 'WindDir100m',
        'wind_spd': 'WindSpd',
        'wind_spd80m': 'WindSpd80m',
        'wind_spd100m': 'WindSpd100m'
    }

    attribute_map = {
        'timestamp': 'timestamp',
        'cld_cvr': 'cldCvr',
        'dew_pt': 'dewPt',
        'feels_like': 'feelsLike',
        'heat_index': 'heatIndex',
        'msl_pres': 'mslPres',
        'precip_flag': 'precipFlag',
        'precip_intensity': 'precipIntensity',
        'pres_tend': 'presTend',
        'rad_solar': 'radSolar',
        'rel_hum': 'relHum',
        'sfc_pres': 'sfcPres',
        'snowfall_flag': 'snowfallFlag',
        'snowfall_intensity': 'snowfallIntensity',
        'spc_hum': 'spcHum',
        'temp': 'temp',
        'wet_bulb': 'wetBulb',
        'wind_chill': 'windChill',
        'wind_dir': 'windDir',
        'wind_dir80m': 'windDir80m',
        'wind_dir100m': 'windDir100m',
        'wind_spd': 'windSpd',
        'wind_spd80m': 'windSpd80m',
        'wind_spd100m': 'windSpd100m'
    }

    def __init__(self, timestamp=None, cld_cvr=None, dew_pt=None, feels_like=None, heat_index=None, msl_pres=None, precip_flag=None, precip_intensity=None, pres_tend=None, rad_solar=None, rel_hum=None, sfc_pres=None, snowfall_flag=None, snowfall_intensity=None, spc_hum=None, temp=None, wet_bulb=None, wind_chill=None, wind_dir=None, wind_dir80m=None, wind_dir100m=None, wind_spd=None, wind_spd80m=None, wind_spd100m=None):  # noqa: E501
        """NowcastObj - a model defined in Swagger"""  # noqa: E501
        self._timestamp = None
        self._cld_cvr = None
        self._dew_pt = None
        self._feels_like = None
        self._heat_index = None
        self._msl_pres = None
        self._precip_flag = None
        self._precip_intensity = None
        self._pres_tend = None
        self._rad_solar = None
        self._rel_hum = None
        self._sfc_pres = None
        self._snowfall_flag = None
        self._snowfall_intensity = None
        self._spc_hum = None
        self._temp = None
        self._wet_bulb = None
        self._wind_chill = None
        self._wind_dir = None
        self._wind_dir80m = None
        self._wind_dir100m = None
        self._wind_spd = None
        self._wind_spd80m = None
        self._wind_spd100m = None
        self.discriminator = None
        self.timestamp = timestamp
        if cld_cvr is not None:
            self.cld_cvr = cld_cvr
        if dew_pt is not None:
            self.dew_pt = dew_pt
        if feels_like is not None:
            self.feels_like = feels_like
        if heat_index is not None:
            self.heat_index = heat_index
        if msl_pres is not None:
            self.msl_pres = msl_pres
        if precip_flag is not None:
            self.precip_flag = precip_flag
        if precip_intensity is not None:
            self.precip_intensity = precip_intensity
        if pres_tend is not None:
            self.pres_tend = pres_tend
        if rad_solar is not None:
            self.rad_solar = rad_solar
        if rel_hum is not None:
            self.rel_hum = rel_hum
        if sfc_pres is not None:
            self.sfc_pres = sfc_pres
        if snowfall_flag is not None:
            self.snowfall_flag = snowfall_flag
        if snowfall_intensity is not None:
            self.snowfall_intensity = snowfall_intensity
        if spc_hum is not None:
            self.spc_hum = spc_hum
        if temp is not None:
            self.temp = temp
        if wet_bulb is not None:
            self.wet_bulb = wet_bulb
        if wind_chill is not None:
            self.wind_chill = wind_chill
        if wind_dir is not None:
            self.wind_dir = wind_dir
        if wind_dir80m is not None:
            self.wind_dir80m = wind_dir80m
        if wind_dir100m is not None:
            self.wind_dir100m = wind_dir100m
        if wind_spd is not None:
            self.wind_spd = wind_spd
        if wind_spd80m is not None:
            self.wind_spd80m = wind_spd80m
        if wind_spd100m is not None:
            self.wind_spd100m = wind_spd100m

    @property
    def timestamp(self):
        """Gets the timestamp of this NowcastObj.  # noqa: E501


        :return: The timestamp of this NowcastObj.  # noqa: E501
        :rtype: Timestamp
        """
        return self._timestamp

    @timestamp.setter
    def timestamp(self, timestamp):
        """Sets the timestamp of this NowcastObj.


        :param timestamp: The timestamp of this NowcastObj.  # noqa: E501
        :type: Timestamp
        """
        if timestamp is None:
            raise ValueError("Invalid value for `timestamp`, must not be `None`")  # noqa: E501

        self._timestamp = timestamp

    @property
    def cld_cvr(self):
        """Gets the cld_cvr of this NowcastObj.  # noqa: E501


        :return: The cld_cvr of this NowcastObj.  # noqa: E501
        :rtype: CldCvr
        """
        return self._cld_cvr

    @cld_cvr.setter
    def cld_cvr(self, cld_cvr):
        """Sets the cld_cvr of this NowcastObj.


        :param cld_cvr: The cld_cvr of this NowcastObj.  # noqa: E501
        :type: CldCvr
        """

        self._cld_cvr = cld_cvr

    @property
    def dew_pt(self):
        """Gets the dew_pt of this NowcastObj.  # noqa: E501


        :return: The dew_pt of this NowcastObj.  # noqa: E501
        :rtype: DewPt
        """
        return self._dew_pt

    @dew_pt.setter
    def dew_pt(self, dew_pt):
        """Sets the dew_pt of this NowcastObj.


        :param dew_pt: The dew_pt of this NowcastObj.  # noqa: E501
        :type: DewPt
        """

        self._dew_pt = dew_pt

    @property
    def feels_like(self):
        """Gets the feels_like of this NowcastObj.  # noqa: E501


        :return: The feels_like of this NowcastObj.  # noqa: E501
        :rtype: FeelsLike
        """
        return self._feels_like

    @feels_like.setter
    def feels_like(self, feels_like):
        """Sets the feels_like of this NowcastObj.


        :param feels_like: The feels_like of this NowcastObj.  # noqa: E501
        :type: FeelsLike
        """

        self._feels_like = feels_like

    @property
    def heat_index(self):
        """Gets the heat_index of this NowcastObj.  # noqa: E501


        :return: The heat_index of this NowcastObj.  # noqa: E501
        :rtype: HeatIndex
        """
        return self._heat_index

    @heat_index.setter
    def heat_index(self, heat_index):
        """Sets the heat_index of this NowcastObj.


        :param heat_index: The heat_index of this NowcastObj.  # noqa: E501
        :type: HeatIndex
        """

        self._heat_index = heat_index

    @property
    def msl_pres(self):
        """Gets the msl_pres of this NowcastObj.  # noqa: E501


        :return: The msl_pres of this NowcastObj.  # noqa: E501
        :rtype: MslPres
        """
        return self._msl_pres

    @msl_pres.setter
    def msl_pres(self, msl_pres):
        """Sets the msl_pres of this NowcastObj.


        :param msl_pres: The msl_pres of this NowcastObj.  # noqa: E501
        :type: MslPres
        """

        self._msl_pres = msl_pres

    @property
    def precip_flag(self):
        """Gets the precip_flag of this NowcastObj.  # noqa: E501


        :return: The precip_flag of this NowcastObj.  # noqa: E501
        :rtype: PrecipFlag
        """
        return self._precip_flag

    @precip_flag.setter
    def precip_flag(self, precip_flag):
        """Sets the precip_flag of this NowcastObj.


        :param precip_flag: The precip_flag of this NowcastObj.  # noqa: E501
        :type: PrecipFlag
        """

        self._precip_flag = precip_flag

    @property
    def precip_intensity(self):
        """Gets the precip_intensity of this NowcastObj.  # noqa: E501


        :return: The precip_intensity of this NowcastObj.  # noqa: E501
        :rtype: PrecipIntensity
        """
        return self._precip_intensity

    @precip_intensity.setter
    def precip_intensity(self, precip_intensity):
        """Sets the precip_intensity of this NowcastObj.


        :param precip_intensity: The precip_intensity of this NowcastObj.  # noqa: E501
        :type: PrecipIntensity
        """

        self._precip_intensity = precip_intensity

    @property
    def pres_tend(self):
        """Gets the pres_tend of this NowcastObj.  # noqa: E501


        :return: The pres_tend of this NowcastObj.  # noqa: E501
        :rtype: PresTend
        """
        return self._pres_tend

    @pres_tend.setter
    def pres_tend(self, pres_tend):
        """Sets the pres_tend of this NowcastObj.


        :param pres_tend: The pres_tend of this NowcastObj.  # noqa: E501
        :type: PresTend
        """

        self._pres_tend = pres_tend

    @property
    def rad_solar(self):
        """Gets the rad_solar of this NowcastObj.  # noqa: E501


        :return: The rad_solar of this NowcastObj.  # noqa: E501
        :rtype: RadSolar
        """
        return self._rad_solar

    @rad_solar.setter
    def rad_solar(self, rad_solar):
        """Sets the rad_solar of this NowcastObj.


        :param rad_solar: The rad_solar of this NowcastObj.  # noqa: E501
        :type: RadSolar
        """

        self._rad_solar = rad_solar

    @property
    def rel_hum(self):
        """Gets the rel_hum of this NowcastObj.  # noqa: E501


        :return: The rel_hum of this NowcastObj.  # noqa: E501
        :rtype: RelHum
        """
        return self._rel_hum

    @rel_hum.setter
    def rel_hum(self, rel_hum):
        """Sets the rel_hum of this NowcastObj.


        :param rel_hum: The rel_hum of this NowcastObj.  # noqa: E501
        :type: RelHum
        """

        self._rel_hum = rel_hum

    @property
    def sfc_pres(self):
        """Gets the sfc_pres of this NowcastObj.  # noqa: E501


        :return: The sfc_pres of this NowcastObj.  # noqa: E501
        :rtype: SfcPres
        """
        return self._sfc_pres

    @sfc_pres.setter
    def sfc_pres(self, sfc_pres):
        """Sets the sfc_pres of this NowcastObj.


        :param sfc_pres: The sfc_pres of this NowcastObj.  # noqa: E501
        :type: SfcPres
        """

        self._sfc_pres = sfc_pres

    @property
    def snowfall_flag(self):
        """Gets the snowfall_flag of this NowcastObj.  # noqa: E501


        :return: The snowfall_flag of this NowcastObj.  # noqa: E501
        :rtype: SnowfallFlag
        """
        return self._snowfall_flag

    @snowfall_flag.setter
    def snowfall_flag(self, snowfall_flag):
        """Sets the snowfall_flag of this NowcastObj.


        :param snowfall_flag: The snowfall_flag of this NowcastObj.  # noqa: E501
        :type: SnowfallFlag
        """

        self._snowfall_flag = snowfall_flag

    @property
    def snowfall_intensity(self):
        """Gets the snowfall_intensity of this NowcastObj.  # noqa: E501


        :return: The snowfall_intensity of this NowcastObj.  # noqa: E501
        :rtype: SnowfallIntensity
        """
        return self._snowfall_intensity

    @snowfall_intensity.setter
    def snowfall_intensity(self, snowfall_intensity):
        """Sets the snowfall_intensity of this NowcastObj.


        :param snowfall_intensity: The snowfall_intensity of this NowcastObj.  # noqa: E501
        :type: SnowfallIntensity
        """

        self._snowfall_intensity = snowfall_intensity

    @property
    def spc_hum(self):
        """Gets the spc_hum of this NowcastObj.  # noqa: E501


        :return: The spc_hum of this NowcastObj.  # noqa: E501
        :rtype: SpcHum
        """
        return self._spc_hum

    @spc_hum.setter
    def spc_hum(self, spc_hum):
        """Sets the spc_hum of this NowcastObj.


        :param spc_hum: The spc_hum of this NowcastObj.  # noqa: E501
        :type: SpcHum
        """

        self._spc_hum = spc_hum

    @property
    def temp(self):
        """Gets the temp of this NowcastObj.  # noqa: E501


        :return: The temp of this NowcastObj.  # noqa: E501
        :rtype: Temp
        """
        return self._temp

    @temp.setter
    def temp(self, temp):
        """Sets the temp of this NowcastObj.


        :param temp: The temp of this NowcastObj.  # noqa: E501
        :type: Temp
        """

        self._temp = temp

    @property
    def wet_bulb(self):
        """Gets the wet_bulb of this NowcastObj.  # noqa: E501


        :return: The wet_bulb of this NowcastObj.  # noqa: E501
        :rtype: WetBulb
        """
        return self._wet_bulb

    @wet_bulb.setter
    def wet_bulb(self, wet_bulb):
        """Sets the wet_bulb of this NowcastObj.


        :param wet_bulb: The wet_bulb of this NowcastObj.  # noqa: E501
        :type: WetBulb
        """

        self._wet_bulb = wet_bulb

    @property
    def wind_chill(self):
        """Gets the wind_chill of this NowcastObj.  # noqa: E501


        :return: The wind_chill of this NowcastObj.  # noqa: E501
        :rtype: WindChill
        """
        return self._wind_chill

    @wind_chill.setter
    def wind_chill(self, wind_chill):
        """Sets the wind_chill of this NowcastObj.


        :param wind_chill: The wind_chill of this NowcastObj.  # noqa: E501
        :type: WindChill
        """

        self._wind_chill = wind_chill

    @property
    def wind_dir(self):
        """Gets the wind_dir of this NowcastObj.  # noqa: E501


        :return: The wind_dir of this NowcastObj.  # noqa: E501
        :rtype: WindDir
        """
        return self._wind_dir

    @wind_dir.setter
    def wind_dir(self, wind_dir):
        """Sets the wind_dir of this NowcastObj.


        :param wind_dir: The wind_dir of this NowcastObj.  # noqa: E501
        :type: WindDir
        """

        self._wind_dir = wind_dir

    @property
    def wind_dir80m(self):
        """Gets the wind_dir80m of this NowcastObj.  # noqa: E501


        :return: The wind_dir80m of this NowcastObj.  # noqa: E501
        :rtype: WindDir80m
        """
        return self._wind_dir80m

    @wind_dir80m.setter
    def wind_dir80m(self, wind_dir80m):
        """Sets the wind_dir80m of this NowcastObj.


        :param wind_dir80m: The wind_dir80m of this NowcastObj.  # noqa: E501
        :type: WindDir80m
        """

        self._wind_dir80m = wind_dir80m

    @property
    def wind_dir100m(self):
        """Gets the wind_dir100m of this NowcastObj.  # noqa: E501


        :return: The wind_dir100m of this NowcastObj.  # noqa: E501
        :rtype: WindDir100m
        """
        return self._wind_dir100m

    @wind_dir100m.setter
    def wind_dir100m(self, wind_dir100m):
        """Sets the wind_dir100m of this NowcastObj.


        :param wind_dir100m: The wind_dir100m of this NowcastObj.  # noqa: E501
        :type: WindDir100m
        """

        self._wind_dir100m = wind_dir100m

    @property
    def wind_spd(self):
        """Gets the wind_spd of this NowcastObj.  # noqa: E501


        :return: The wind_spd of this NowcastObj.  # noqa: E501
        :rtype: WindSpd
        """
        return self._wind_spd

    @wind_spd.setter
    def wind_spd(self, wind_spd):
        """Sets the wind_spd of this NowcastObj.


        :param wind_spd: The wind_spd of this NowcastObj.  # noqa: E501
        :type: WindSpd
        """

        self._wind_spd = wind_spd

    @property
    def wind_spd80m(self):
        """Gets the wind_spd80m of this NowcastObj.  # noqa: E501


        :return: The wind_spd80m of this NowcastObj.  # noqa: E501
        :rtype: WindSpd80m
        """
        return self._wind_spd80m

    @wind_spd80m.setter
    def wind_spd80m(self, wind_spd80m):
        """Sets the wind_spd80m of this NowcastObj.


        :param wind_spd80m: The wind_spd80m of this NowcastObj.  # noqa: E501
        :type: WindSpd80m
        """

        self._wind_spd80m = wind_spd80m

    @property
    def wind_spd100m(self):
        """Gets the wind_spd100m of this NowcastObj.  # noqa: E501


        :return: The wind_spd100m of this NowcastObj.  # noqa: E501
        :rtype: WindSpd100m
        """
        return self._wind_spd100m

    @wind_spd100m.setter
    def wind_spd100m(self, wind_spd100m):
        """Sets the wind_spd100m of this NowcastObj.


        :param wind_spd100m: The wind_spd100m of this NowcastObj.  # noqa: E501
        :type: WindSpd100m
        """

        self._wind_spd100m = wind_spd100m

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(NowcastObj, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, NowcastObj):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
